Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.io
Interface ConnectedEndPoint

All Superinterfaces:
  EndPoint

All Known Implementing Classes:
  ByteArrayEndPoint, SelectChannelEndPoint, SocketConnector.ConnectorEndPoint, SslSelectChannelEndPoint, SslSocketConnector.SslConnectorEndPoint

    public interface ConnectedEndPoint

extends EndPoint

Method Summary
`Connection` | `getConnection()`
`void` | `setConnection(Connection connection)`

Methods inherited from interface org.eclipse.jetty.io.EndPoint
`blockReadable, blockWritable, close, fill, flush, flush, flush, getLocalAddr, getLocalHost, getLocalPort, getMaxIdleTime, getRemoteAddr, getRemoteHost, getRemotePort, getTransport, isBlocking, isBufferingInput, isBufferingOutput, isBufferred, isOpen, setMaxIdleTime, shutdownOutput`

Method Detail

### getConnection

    Connection getConnection()

### setConnection

    void setConnection(Connection connection)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.